org.modeshape.jcr.federation

## Class FederatedDocumentChanges.FederatedPropertyChanges

- java.lang.Object
- - org.modeshape.jcr.federation.FederatedDocumentChanges.FederatedPropertyChanges

- All Implemented Interfaces:
    DocumentChanges.PropertyChanges
  Enclosing class:
    FederatedDocumentChanges

      protected class FederatedDocumentChanges.FederatedPropertyChanges
      extends Object
      implements DocumentChanges.PropertyChanges

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<Name>` | `getAdded()` Returns the set of names of the added properties
    `Set<Name>` | `getChanged()` Returns the set of name of the changed properties (added + modified)
    `Set<Name>` | `getRemoved()` Returns the set of names of the removed properties
    `boolean` | `isEmpty()` Checks if there are any changes to the properties (removed/added/changed)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isEmpty

          public boolean isEmpty()

      Description copied from interface: `DocumentChanges.PropertyChanges`
      Checks if there are any changes to the properties (removed/added/changed)
      Specified by:
        `isEmpty` in interface `DocumentChanges.PropertyChanges`
      Returns:
        `true` if there aren't any changes, `false` otherwise

    - #### getChanged

          public Set<Name> getChanged()

      Description copied from interface: `DocumentChanges.PropertyChanges`
      Returns the set of name of the changed properties (added + modified)
      Specified by:
        `getChanged` in interface `DocumentChanges.PropertyChanges`
      Returns:
        the set of names of the properties that were changed on this node; never null

    - #### getRemoved

          public Set<Name> getRemoved()

      Description copied from interface: `DocumentChanges.PropertyChanges`
      Returns the set of names of the removed properties
      Specified by:
        `getRemoved` in interface `DocumentChanges.PropertyChanges`
      Returns:
        the set of names of the properties that were removed from this node; never null

    - #### getAdded

          public Set<Name> getAdded()

      Description copied from interface: `DocumentChanges.PropertyChanges`
      Returns the set of names of the added properties
      Specified by:
        `getAdded` in interface `DocumentChanges.PropertyChanges`
      Returns:
        the set of names of the properties that were added to this node; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.